import Component from '@glimmer/component';
type Color = string;
export interface PaletteItem {
    name: string;
    description?: string;
    base: Color;
    light?: Color;
    dark?: Color;
}
export type ColorPalette = Record<string, PaletteItem>;
interface Signature {
    Element: HTMLDivElement;
    Args: {
        colorPalette: ColorPalette;
        title?: string;
        description?: string;
    };
    Blocks: {
        default: [];
    };
}
export default class FreestylePalette extends Component<Signature> {
    title: string;
    description: string;
    get colors(): PaletteItem[];
}
export {};
