import Component from '@glimmer/component';
import type EmberFreestyleService from '../../../services/ember-freestyle';
interface Signature {
    Element: HTMLDivElement;
    Args: {
        name?: string;
        description?: string;
        slug?: string;
        source?: string;
        highlightJsTheme?: string;
    };
    Blocks: {
        description: [];
        example: [];
        api: [
            {
                Action: any;
                Array: any;
                Base: any;
                Bool: any;
                Component: any;
                Number: any;
                Object: any;
                String: any;
                Yield: any;
            }
        ];
        cssVars: [
            {
                Basic: any;
            }
        ];
    };
}
export default class extends Component<Signature> {
    emberFreestyle: EmberFreestyleService;
    get showName(): boolean;
    get showNotes(): boolean;
    get showSource(): boolean;
    get showApi(): boolean;
    get show(): boolean;
    get effectiveSlug(): string | undefined;
    get computedTheme(): string;
    highlightSource(): void;
    setFocus(): void;
}
export {};
